package com.huaxia;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;

/**
 * <p>扫描存放在主类包外部的一切Spring Bean</p>
 * 包含@Service、@Component、@Aspect、@Repository、@Configuration等spring标注
 *
 * @author kangtengjiao
 */
@Configuration
@ComponentScan(
        basePackages = {
                // 基础接口
                "com.comm.infra",
                // 若依框架
                "com.ruoyi",

                //"com.frm.springmvc",
                //"com.frm.springboot",
                "com.frm.redis",
                //"com.frm.mybatisplus",
                ///*组件:验证码*/"com.cmpt.captcha",
                /*组件:文件上传*/"com.cmpt.oss",
                ///*组件:Websocket*/"com.cmpt.ws",
                /*组件:多租戶*/"com.cmpt.tenant",
                /*控制台API*/"com.cmpt.sys",
                /*会员API规格*/"com.cmpt.mbr",
                /*社交用户API*/"com.cmpt.sns",
                /*组件:变动日志*/"com.cmpt.changelog",
                /* 以下添加更多扫描路径... */
                /*组件:外部系统调用*/"com.cmpt.msg",
                /*树形字典*/"com.cmpt.tree",

        }
        /*不纳入扫描的类*/
        , excludeFilters = {@ComponentScan.Filter(type = FilterType.ASSIGNABLE_TYPE, classes = {
        com.frm.redis.RedisConfig.class
})}
)
public class BeanConfig {


}
