package com.huaxia.bas.mapper;

import com.huaxia.comm.domain.bas.UserInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * UserMapper
 *
 * @author sulingfeng
 * @since 2024/2/23 16:17
 */
@Mapper
public interface UserMapper {

    /**获取用户角色*/
    @Select("SELECT role_id FROM sys_user_role WHERE user_id = #{userId} ")
    List<Long> queryUserRole(Long userId);

    /**
     * 获取真实姓名
     *
     * @param userName 用户名
     * @return
     */
    @Select("select nick_name from sys_user where user_name=#{userName} and del_flag='0';")
    String selectRealName(@Param("userName") String userName);

    @Select("select a.nick_name as realName,a.user_num as userNum,\n" +
            "(select group_concat(c.post_name Separator '、') from sys_post c where c.post_id in (select b.post_id from sys_user_post b where b.user_id=a.user_id)) as postNames,\n" +
            "(select d.dept_name from sys_dept d where d.dept_id=a.dept_id) as deptName\n" +
            "from sys_user a where a.user_name=#{userName} and a.status='0' and a.del_flag='0';")
    UserInfo selectUserInfo(@Param("userName") String userName);

    @Select("select user_name from  sys_user where " +
            "exists(select 1 from sys_user_role where user_id = sys_user.user_id and role_id = #{roleId})")
    List<String > selectUserByRoleId(Long roleId);

    @Select("select user_name as userName,a.nick_name as realName " +
            "from sys_user a where user_name like concat('%',#{name},'%') or nick_name like concat('%',#{name},'%')")
    List<UserInfo> getInfoByName(String name);

    @Select({
      "<script>",
      "select user_name as userName,a.nick_name as realName",
      "from sys_user a where dept_id = #{deptId}",
      "<if test=\"name != null and name != ''\">and user_name like concat('%',#{name},'%')</if>",
      "</script>"
    })
    List<UserInfo> getInfoByDeptId(@Param("deptId") Long deptId,@Param("name")String name);
}
