package com.huaxia.comm.domain.imes;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author zx
 * @since 2024年10月18日
 * 切割分片表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "cutpiece",autoResultMap = true)
public class Cutpiece implements Serializable {

    private static final long serialVersionUID = 1L;


    private Long tblCutrecordId;//编号


    private String tblCutrecordNo;//分片编号


    private String tblSchemeNo;//排刀图编号


    private String tblMachineNo;//机器编号


    private String tblCutOperator;//操作者


    private String tblCutrecordBaseNo;//分片母片编号


    private boolean tblCutrecordSup;//分片是否补数


    private LocalDateTime tblCutrecordCuttimestart;//分片切割开始时间


    private LocalDateTime tblCutrecordCuttimeend;//分片切割结束时间


    private Double tblCutrecordCuttime;//分片切割用时

    private Double tblCutrecordOutlnspeed;//分片外刀线切割速度

    private Double tblCutrecordInterlnspeed;//分片内刀线切割速度

    private Double tblCutrecordPenlnspeed;//分片笔画速度


    private Long tblCutrecordPunchtime;//分片冲孔时间


    private boolean tlbPieceRight;//分片左右脚

    private Long tblPieceHeadnocut;//

    private Long tblPieceLayers;//

    private Long tblPieceLayerdown;//


    @TableField(exist = false)
    private Long count;//统计数量

    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss.SSS")
    @TableField(exist = false)
    private LocalDateTime startTime;//当天最开始的数据时间

    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss.SSS")
    @TableField(exist = false)
    private LocalDateTime endTime;//当天最新的数据时间

    @TableField(exist = false)
    private Long totalTime;

    @TableField(exist = false)
    private Double target;//目标产能

    @TableField(exist = false)
    private String tblSoftwareopertMemo;//型体文件

    @TableField(exist = false)
    private Double runTime;//机器运行时长(小时)

    @TableField(exist = false)
    private Double freeTime;//机器空闲时长(小时)

    @TableField(exist = false)
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime workingTime;//上班时间

    @TableField(exist = false)
    private Double finish;//完成率(百分比)

}
