package com.huaxia.comm.domain.imes;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zx
 * @since 2024年10月29日
 * 智能产线 实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mes_line")
@Accessors(chain = true)
public class MesLine implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;//主键id

    private String lineName;//产线名称

    private Long currentQty;//当日产量

    private Long poorQty;//不合格量

    private String createBy;//创建人

    @JsonFormat(locale = "zh_CN", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createTime;//创建时间

    private String updateBy;//修改人

    @JsonFormat(locale = "zh_CN", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date updateTime;//修改时间

    @TableField(exist = false)
    private String day;//每天(星期几)
}
