package com.huaxia.comm.domain.imes;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;

/**
 * @author zx
 * @since 2024年10月22日
 * 切割机配置信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("sys_me_config")
public class SysMeConfig implements Serializable {

    private static final long serialVersionUID = 1L;


    @TableId(type = IdType.AUTO)
    private Long id;//主键id

    private String tblMachineNo;//机器编码

    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime confiTime; // 上班时间

    private Double capacity;//产能

    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createTime;//创建时间
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date updateTime;//修改时间

    private String createBy;//创建人

    private String updateBy;//修改人

    private String machineName;//机器名称
}
