package com.huaxia.comm.util;

import com.huaxia.comm.domain.bas.callErp;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.http.*;
import org.springframework.web.client.RestTemplate;

import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * @date 2024年06月01日
 * ErpApi接口调用
 */
public class ErpApiInvoke {
    private static final RestTemplate restTemplate = new RestTemplate();
    //根据供应商查询编号
    static String urlSupplierNum = "https://erp-server.huaxiazhizao.com/open/supplier/queryByShortname";
    //根据编号查询供应商
    static String urlErpSupplierNum = "https://erp-server.huaxiazhizao.com/open/supplier/queryBySupplierNum";


    /**
     * 根据供应商名称查询erp供应商编号
     *
     * @param shortName
     * @return
     */
    public static String getFromApi(String shortName) {
        String num = null;
        String url = urlSupplierNum + "?shortName=" + shortName; // 直接拼接，未进行编码
        ResponseEntity<callErp> response = restTemplate.exchange(
                url,
                HttpMethod.GET, // 请求方法
                null, // GET请求通常不需要HttpEntity（请求体和头）
                callErp.class // 响应类型
        );
        //如果响应是2xx那就是成功 然后解析数据
        if (Objects.requireNonNull(response.getBody()).getCode().equals("200") && StringUtils.isNotEmpty(response.getBody().getData().get("supplierNum").toString())) {
            //响应成功 解析数据 获取erp的供应商编号
            num = response.getBody().getData().get("supplierNum").toString();
        }
        return num;
    }


    /**
     * 接口调用
     * 根据供应商编号去查询供应商信息
     *
     * @param supplierNum
     * @return
     */
    public static String getErpSupplierNum(String supplierNum) {
        String erpNum = null;
        String url = urlErpSupplierNum + "?supplierNum=" + supplierNum;

        ResponseEntity<callErp> response = restTemplate.exchange(
                url,
                HttpMethod.GET,
                null,
                callErp.class
        );
        //如果响应是2xx那就是成功 然后解析数据
        if (Objects.requireNonNull(response.getBody()).getCode().equals("200") && StringUtils.isNotEmpty(response.getBody().getData().get("supplierName").toString())) {
            //响应成功 解析数据 获取erp的供应商名字
            erpNum = response.getBody().getData().get("supplierName").toString();
        }
        return erpNum;
    }

}
