package com.huaxia.comm.util;

import com.ruoyi.common.exception.base.BaseException;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.openxml4j.util.ZipSecureFile;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.InputStream;

/**
 * ImportTool
 *
 * @author sulingfeng
 * @date 2023/8/29 11:05
 */
public class ImportTool {

    private static final Logger logger = LoggerFactory.getLogger(ImportTool.class);

    /**
     * @Description：根据文件后缀，自适应上传文件的版本
     * @param inStr,fileName
     * @return
     * @throws Exception
     */
    public static Workbook getWorkbook(InputStream inStr, String fileName) {
        Workbook wb = null;
        String fileType = fileName.substring(fileName.lastIndexOf("."));
        ZipSecureFile.setMinInflateRatio(-1.0d);
        try {
            if (".xls".equals(fileType)) {
                wb = new HSSFWorkbook(inStr);  //2003-
            } else if (".xlsx".equals(fileType)) {
                wb = new XSSFWorkbook(inStr);  //2007+
            }
        } catch (IOException e) {
            throw new BaseException("解析失败，"+e.getMessage());
        }

        if(wb == null) {
            throw new BaseException("解析的文件格式有误！");
        }

        return wb;
    }

    public static Workbook createWorkbook(InputStream inStr, String fileName) {
        Workbook wb = null;
        String fileType = fileName.substring(fileName.lastIndexOf("."));
        ZipSecureFile.setMinInflateRatio(-1.0d);
        try {
            if (".xls".equals(fileType)) {
                wb = new HSSFWorkbook(inStr);  //2003-
            } else if (".xlsx".equals(fileType)) {
                wb = new XSSFWorkbook(inStr);  //2007+
            }
        } catch (IOException e) {
            throw new BaseException("解析失败，"+e.getMessage());
        }

        if(wb == null) {
            throw new BaseException("解析的文件格式有误！");
        }

        return wb;
    }
}
