package com.huaxia.imes.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huaxia.comm.domain.imes.SysMeConfig;
import com.huaxia.imes.service.SysMeConfigService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.page.TableDataInfo;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author zx
 * @since 2024年10月22日
 * 雨田 可配置信息
 */
@RestController
@RequestMapping("open/prod/line/imes")
@Slf4j
@AllArgsConstructor
public class SysMeConfigController extends BaseController {

    private SysMeConfigService service;


    /**
     * 查询列表
     *
     * @param boy
     * @return
     */
    @GetMapping("/list")
    public AjaxResult queryList(SysMeConfig boy, @RequestParam(defaultValue = "1") int page,
                                @RequestParam(defaultValue = "10") int size) {
        IPage<SysMeConfig> list = service.queryList(boy, page, size);
        return AjaxResult.success(new TableDataInfo(list.getRecords(), (int) list.getTotal()));
    }

    /**
     * 添加数据
     *
     * @param boy
     * @return
     */
    @PostMapping("/add")
    public R<Void> add(@RequestBody SysMeConfig boy) {
        service.add(boy);
        return R.ok();
    }

    /**
     * 修改数据
     *
     * @param boy
     * @return
     */
    @PutMapping("/update")
    public R<Void> update(@RequestBody SysMeConfig boy) {
        service.updateBoy(boy);
        return R.ok();
    }

    /**
     * 删除数据
     * @param ids
     * @return
     */
    @DeleteMapping("/remove")
    public R<Void> remove(Long[] ids){
        service.delete(ids);
        return R.ok();
    }
}
